<template>
    <div class="modal fade" id="exampleModal" ref="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">

                    <div class="form-group">
                        <label>Make</label>
                        <input type="text" class="form-control" required placeholder="Make" v-model="car.make" />
                    </div>

                    <div class="form-group">
                        <label>Model</label>
                        <input type="text" class="form-control" required v-model="car.model" />
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" @click.prevent="edit()">Save changes</button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
	export default {
		name: "CarItemComponent",

        props: {
			car: [Object]
        }
	}
</script>
